<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:aw35="http://www.istandaarden.nl/iwlz/2_0/aw35/schema"
                xmlns:aw39="http://www.istandaarden.nl/iwlz/2_0/aw39/schema"
                xmlns:zk35="http://www.istandaarden.nl/iwlz/2_0/zk35/schema"
                xmlns:zk39="http://www.istandaarden.nl/iwlz/2_0/zk39/schema">
    <!-- iWlz 2.0 CS057 version 1.5.0 (2019-05-20) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS057"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS057"/>
    </xsl:template>

    <xsl:template match="aw35:Client/aw35:StatusAanlevering" mode="CS057">
        <xsl:call-template name="cs057">
            <xsl:with-param name="pAnders">
                <xsl:value-of select="count(../aw35:*/aw35:*/aw35:StatusAanlevering[text() != '3'])"/>
            </xsl:with-param>
            <xsl:with-param name="pAantal">
                <xsl:value-of select="count(../aw35:*/aw35:*/aw35:StatusAanlevering)"/>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="aw39:Client/aw39:StatusAanlevering" mode="CS057">
        <xsl:call-template name="cs057">
            <xsl:with-param name="pAnders">
                <xsl:value-of select="count(../aw39:*/aw39:*/aw39:StatusAanlevering[text() != '3'])"/>
            </xsl:with-param>
            <xsl:with-param name="pAantal">
                <xsl:value-of select="count(../aw39:*/aw39:*/aw39:StatusAanlevering)"/>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="zk35:Client/zk35:StatusAanlevering" mode="CS057">
        <xsl:call-template name="cs057">
            <xsl:with-param name="pAnders">
                <xsl:value-of select="count(../zk35:*/zk35:*/zk35:StatusAanlevering[text() != '3'])"/>
            </xsl:with-param>
            <xsl:with-param name="pAantal">
                <xsl:value-of select="count(../zk35:*/zk35:*/zk35:StatusAanlevering)"/>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="zk39:Client/zk39:StatusAanlevering" mode="CS057">
        <xsl:call-template name="cs057">
            <xsl:with-param name="pAnders">
                <xsl:value-of select="count(../zk39:*/zk39:*/zk39:StatusAanlevering[text() != '3'])"/>
            </xsl:with-param>
            <xsl:with-param name="pAantal">
                <xsl:value-of select="count(../zk39:*/zk39:*/zk39:StatusAanlevering)"/>
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template name="cs057">
        <xsl:param name="pAnders"/>
        <xsl:param name="pAantal"/>
        <xsl:choose>
            <xsl:when test="$pAnders = 0 and $pAantal != 0"> <!-- all are 3 = no others -->
                <xsl:call-template name="checkvalue">
                    <xsl:with-param name="pValues">9</xsl:with-param>
                    <xsl:with-param name="pRule">CS057</xsl:with-param>
                </xsl:call-template>
            </xsl:when>
            <xsl:otherwise>
                <xsl:call-template name="checkvalue">
                    <xsl:with-param name="pValues">1</xsl:with-param>
                    <xsl:with-param name="pRule">CS057</xsl:with-param>
                </xsl:call-template>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
