<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:aw35="http://www.istandaarden.nl/iwlz/2_0/aw35/schema"
                xmlns:ca317="http://www.istandaarden.nl/iwlz/2_0/ca317/schema"
                xmlns:ca319="http://www.istandaarden.nl/iwlz/2_0/ca319/schema"
                xmlns:zk35="http://www.istandaarden.nl/iwlz/2_0/zk35/schema"
>
    <!-- iwlz 2.0 TR052 version 1.5.0 (2019-05-20) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR052"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR052"/>
    </xsl:template>

    <xsl:template match="aw35:GeleverdeFunctie/aw35:Begindatum" mode="TR052">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name()='Bericht']/*[local-name()='Header']/
                            *[local-name()='BerichtIdentificatie']/*[local-name()='Dagtekening']"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR052
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="aw35:GeleverdZorgzwaartepakket/aw35:Begindatum" mode="TR052">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name()='Bericht']/*[local-name()='Header']/
                            *[local-name()='BerichtIdentificatie']/*[local-name()='Dagtekening']"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR052
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="ca317:GeleverdeZorg/ca317:Startdatum" mode="TR052">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name()='Bericht']/*[local-name()='Header']/
                            *[local-name()='BerichtIdentificatie']/*[local-name()='Dagtekening']"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR052
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="ca319:MutatieZorg/ca319:Startdatum" mode="TR052">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name()='Bericht']/*[local-name()='Header']/
                            *[local-name()='BerichtIdentificatie']/*[local-name()='Dagtekening']"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR052
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="zk35:GeleverdeFunctie/zk35:Begindatum" mode="TR052">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name()='Bericht']/*[local-name()='Header']/
                            *[local-name()='BerichtIdentificatie']/*[local-name()='Dagtekening']"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR052
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
    <xsl:template match="zk35:GeleverdZorgzwaartepakket/zk35:Begindatum" mode="TR052">
        <xsl:call-template name="checkafter">
            <xsl:with-param name="pThis"
                            select="ancestor-or-self::*[local-name()='Bericht']/*[local-name()='Header']/
                            *[local-name()='BerichtIdentificatie']/*[local-name()='Dagtekening']"/>
            <xsl:with-param name="pOther" select="."/>
            <xsl:with-param name="pRule">
                TR052
            </xsl:with-param>
        </xsl:call-template>
    </xsl:template>
</xsl:stylesheet>